Embedded Payment Form

MorPOS With Embedded Payment Form card information is collected through MorPOS's secure interface.


Endpoint

POST /v1/EmbeddedPayment/CreatePaymentForm

Headers

Key
Type
Description
Example

x-ClientID

String

Unique identifier for the API client

your-client-id

x-ClientSecret

String

Secret key for the API client

your-secret-key

x-GrantType

String

Type of access token used

client_credentials

x-Scope

String

API scope

pf_write, pf_read

x-Timestamp

String

Request timestamp (ISO 8601)

2024-12-17T12:34:56Z


Request Body

Field
Required
Type
Description
Example

merchantId

String

Unique identifier for the merchant

100000000000004

returnUrl

URL

Redirect URL after successful transaction

failUrl

URL

Redirect URL after failed transaction

paymentMethod

String

Payment method

EMBEDDEDPAYMENT

paymentInstrumentType

String

Payment instrument type

CARD

language

String

Transaction language

en

conversationId

String

Unique identifier for tracking

MP20240305001

sign

String

Digital signature of the request

ABC123...

transactionDetails.transactionType

String

Transaction type

SALE

transactionDetails.installmentCount

Integer

Number of installments (0 = single payment)

0

transactionDetails.amount

Decimal

Transaction amount

1.00

transactionDetails.currencyCode

Integer

Currency code (TRY = 949)

949

transactionDetails.vftFlag

Boolean

VFT usage status

false

extraParameter.pFSubMerchantId

String

Sub-merchant ID

12345


Example Request

Example Response


Operational Notes

  • Card information is not transmitted to the merchant system

  • Card data is collected via the payment provider's embedded payment interface through

  • PCI-DSS scope is significantly reduced

  • According to the transaction result, the user returnUrl or failUrl is redirected to the address

Last updated